## po4a 0.16.3

=== po/Makefile ===
SUBDIRS=bin pod

all:
	for dir in $(SUBDIRS) ; do make -C $$dir all || exit $$? ; done
	
install:
	for dir in $(SUBDIRS) ; do make -C $$dir install || exit $$? ; done

clean:
	for dir in $(SUBDIRS) ; do make -C $$dir clean || exit $$? ; done

update:
	for dir in $(SUBDIRS) ; do make -C $$dir update || exit $$? ; done


stats:
	@for dir in $(SUBDIRS) ; do \
	  potsize=`(cd $$dir;ls -sh *.pot) | \
		   sed -n -e 's/^ *\([^[:blank:]]*\).*$$/\1/p'`  ; \
	  echo "$$dir/ (pot: $$potsize)"; \
	  for f in `ls $$dir/*.po` ; do \
	    stat=`msgfmt --statistics -o /dev/null $$f 2>&1` ; \
	    name=`basename $$f .po`; \
	    echo " $$name: $$stat"; \
	  done ; \
	done

=== po/bin/Makefile ===
# List here all source files with translatable strings.
MODULE=po4a
POTFILES=$(wildcard ../../lib/Locale/Po4a/*.pm) \
  ../../po4a-gettextize ../../po4a-normalize ../../po4a-translate ../../po4a-updatepo

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: $(MODULE).pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(MODULE).mo; \
	done

$(MODULE).pot: $(POTFILES)
# xgettext can mostly handle perl files as C files, though it gets a bit
# confused about single quotes in comments, and the gettext() calls have to
# use double-quoted strings or it will ignore them.
	@echo "Rebuilding the pot file"
	xgettext -L Perl $(POTFILES) -o $@.new 2>/dev/null
	@if [ -e $@ ] ; then \
	   if diff -q -I'#:' -I'POT-Creation-Date:' -I'PO-Revision-Date:' $@ $@.new>/dev/null ; then \
		rm -f $@.new; \
		touch $@; \
	   else \
	   	mv -f $@.new $@; \
	   fi; \
	else \
	   mv -f $@.new $@; \
	fi
	
clean:
	rm -f $(MOFILES) messages *.mo *~

%.mo: %.po
	msgfmt -o $@ $<

%.po: $(MODULE).pot
	@echo -n "Merging $(MODULE).pot and $@"
	@msgmerge $@ $(MODULE).pot -o $@.new
# Typically all that changes was a date. I'd prefer not to cvs commit such
# changes, so detect and ignore them.
	@if diff -q -I'#:' -I'POT-Creation-Date:' -I'PO-Revision-Date:' $@ $@.new >/dev/null; then \
		rm -f $@.new; \
		touch $@; \
	else \
		mv -f $@.new $@; \
	fi
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

update: $(MODULE).pot $(POFILES)

=== po/pod/Makefile ===
# List here all source files with translatable strings.
SCRIPTS=po4a-gettextize po4a-updatepo po4a-translate po4a-normalize
LIBS=Po.pm TransTractor.pm Pod.pm Man.pm Sgml.pm Chooser.pm KernelHelp.pm Dia.pm
DOCS=po4a.7

FILES=$(SCRIPTS) $(foreach lib,$(LIBS),LocalePo4a$(lib)) $(DOCS)

PATHSCRIPTS=$(foreach file,$(SCRIPTS),../../$(file))
PATHLIBS=$(foreach file,$(LIBS),../../lib/Locale/Po4a/$(file))
PATHDOCS=$(foreach file,$(DOCS),../../doc/$(file).pod)

PATHFILES=$(PATHLIBS) $(PATHSCRIPTS) $(PATHDOCS)

POFILES=$(wildcard *.po)

TARGET_LANG=fr
TRANSLATIONS=$(foreach lang,$(TARGET_LANG),$(foreach file,$(FILES),$(file).$(lang).pod))

all: po4a-pod.pot $(TRANSLATIONS)

install: 
# install do nothing in po4a, because it would make po4a depend on itself.

po4a-pod.pot: $(PATHFILES)
	@echo TRANSLATION=$(TRANSLATIONS)
	@PERL5LIB=../../lib ../../po4a-updatepo -f pod $(foreach file,$(PATHFILES),-m $(file)) -p $@

%.po: po4a-pod.pot
	@echo -n "Merging po4a-pod.pot and $@"
	@msgmerge $@ po4a-pod.pot -o $@.new
# Typically all that changes was a date. I'd prefer not to cvs commit such
# changes, so detect and ignore them.
# That's why I don't use po4a-updatepo on po files but on pot ones. It makes
# it easier to detect and ignore such changes.
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

LocalePo4a%.fr.pod: ../../lib/Locale/Po4a/% fr.po
	@PERL5LIB=../../lib ../../po4a-translate -f pod -v -m $< -p fr.po -l $@
	@if [ -e $@ ] ; then \
	  mv -f $@ `echo $@| \
	            sed 's/LocalePo4a/Locale::Po4a::/' | \
	            sed 's/\.pm//'` ; \
	fi

%.fr.pod: ../../% fr.po
	@PERL5LIB=../../lib ../../po4a-translate -f pod -v -m $< -p fr.po -l $@ || true

%.fr.pod: ../../doc/%.pod fr.po
	@PERL5LIB=../../lib ../../po4a-translate -f pod -v -m $< -p fr.po -l $@ || true

clean:
	rm -f messages *.mo *.pod *~

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

update: po4a-pod.pot $(POFILES) $(TRANSLATIONS)

.PHONY:check clean install update

## po4a 0.19

=== Makefile ===
all: Build
	@./Build

Build: Build.PL
	perl Build.PL

install: Build
	@./Build install destdir=$(DESTDIR)

clean: Build
	@./Build realclean

dist: Build
	@./Build dist

stats: Build
	@./Build postats

check:
	script -c 'perl -V;perl Build.PL;./Build clean;./Build test verbose=1' po4a.log

.PHONY: all install clean dist stats bugreport

## po4a 0.34-maemo1

=== debian/changelog ===
po4a (0.34-maemo1) unstable; urgency=low

  * Initial release for Maemo.

 -- Thomas Maass <mase@setho.org>  Wed, 23 Feb 2011 17:35:00 +0200

=== debian/control ===
Source: po4a
Section: text
Priority: optional
Maintainer: Thomas Maass <mase@setho.org>
Standards-Version: 3.8.0
Build-Depends-Indep: perl-modules, libmodule-build-perl, gettext (>= 0.16)
Build-Depends: debhelper (>> 4.0.0)
Homepage: http://po4a.alioth.debian.org/

Package: po4a
Architecture: all
Depends: ${misc:depends}, ${perl:Depends}, gettext (>= 0.16), perl-modules, libsgmls-perl, sp
Recommends: libtext-wrapi18n-perl, libterm-readkey-perl, liblocale-gettext-perl
Conflicts: po-pod, po-man, liblocale-po4a-perl
Description: tools for helping translation of documentation
 The po4a (po for anything) project goal is to ease translations (and
 more interestingly, the maintenance of translations) using gettext
 tools on areas where they were not expected like documentation.
 .
 This package contains the main libraries of po4a, and the following
 sub-modules:
 .
   - Dia: uncompressed Dia diagrams.
   - Ini: the INI format
   - KernelHelp: Help messages of each kernel compilation option.
   - LaTeX: generic TeX or LaTeX format.
   - Man: either roff or mdoc format.
   - Pod: Perl documentation format.
   - Sgml: either debiandoc or docbook DTD.
   - Texinfo: the info page format.
   - XML: very configurable (preconfigured for docbook, Xhtml, Guide, Wml).

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

package = po4a

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/$(package)
ifndef PERL
PERL = /usr/bin/perl
endif

build: build-stamp
build-stamp:
	dh_testdir

# Make sure the VERSION string were updated in binaries
	@ pkgver=`dpkg-parsechangelog|\
	          grep -m 1 Version|\
		  sed -e 's/Version: //' -e 's/-.*//' -e 's/[[:blank:]]*//g'`;\
	libver=`grep '$$VERSION=' lib/Locale/Po4a/TransTractor.pm| \
                sed -e 's/^.*"\([^"]*\)".*/\1/'`; \
	if [ "x$$pkgver" != "x$$libver" ] ; then \
	   echo "VERSION in lib/Locale/Po4a/TransTractor.pm is wrong ($$pkgver!=$$libver)";\
	   exit 1; \
	fi;

	$(PERL) Build.PL installdirs=vendor create_packlist=0
	$(PERL) Build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	-$(PERL) Build clean
	rm -rf _build build-stamp Build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#	$(PERL) Build test
	$(PERL) Build install destdir=$(DESTDIR)

	for man in $(DESTDIR)/usr/share/man/man3/*.0; do \
	    sed -i -e "s/ç/\\[,c]/g;s/Ç/\\[,C]/g" \
	           -e "s/ü/\\[:u]/g;s/é/\\['e]/g" $$man; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs NEWS debian/README.Maemo
	dh_installchangelogs changelog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch 

#     Shortcuts
tar: clean
	version=`sed -e 's/.* (//' -e 's/-.*//' -e 1q debian/changelog`; \
	echo Creating ../$(package)_$$version.orig.tar.gz; \
	#tar cf - * | tarcust -p $(package)-$$version -x '.*CVS.*' -x '.*.cvsignore' -x 'debian/.*' | gzip --best > ../$(package)_$$version.orig.tar.gz
	perl Build.PL
	perl Build dist
	#$(MAKE) tar

deb:
	dpkg-buildpackage -rfakeroot -i'/CVS|/\.cvsignore|/mantmp|testsuite|lib/Locale/Po4a|po/pod'

.PHONY: build clean binary-indep binary-arch binary install

## po4a 0.38

=== po/bin/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#
# - Modified by Neil Williams <linux@codehelp.co.uk> for Debian native
#   packages and to not require autoconf

GETTEXT_PACKAGE = $(shell grep "^DOMAIN" Makevars |cut -d '=' -f2|tr -d ' ')
SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..
subdir = po
prefix = /usr/local
mkdir_p = mkdir -p
INSTALL_DATA = install -m 0644
datadir = ${datarootdir}
datarootdir = ${prefix}/share
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
ALL_LINGUAS = 
PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)
USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep \^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep \^$$lang$$`"; then printf "$$lang "; fi; done; fi)
USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)
POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)
POTFILES = $(shell cat POTFILES.in|sed 's/\(.*\).*/..\/\1/'|tr -d ' ')
CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg

all: all-yes

all-yes: $(CATALOGS)
all-no:
pot: $(GETTEXT_PACKAGE).pot
$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

# the install fallbacks are probably unnecessary, just the first case is used.
install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo $(GETTEXT_PACKAGE).pot

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

Makefile POTFILES: 
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: POTFILES.in

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## po4a 0.40

=== Makefile ===
all: Build
	./share/po4a-build -f po4a-build.conf
	@./Build

Build: Build.PL
	perl Build.PL

install: Build
	@./Build install destdir=$(DESTDIR)
	make -C po/bin install DESTDIR=$(DESTDIR)
	find $(DESTDIR) -type d -empty -delete

clean: Build
	@./Build realclean
	$(MAKE) -C share clean
	$(MAKE) -C po/bin clean
	$(RM) po4a-build.sh

dist: Build
	./share/po4a-build --pot-only -f ./po4a-build.conf
	$(MAKE) -C po/bin pot
	@./Build dist

stats: Build
	@./Build postats

check:
	script -c 'perl -V;perl Build.PL;./Build clean;./Build test verbose=1' po4a.log

.PHONY: all install clean dist stats check

## po4a 0.40.2

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,12 @@
 Build: Build.PL
 	perl Build.PL
 
+update-po: Build
+	$(MAKE) -C po/bin update-po
+
 install: Build
 	@./Build install destdir=$(DESTDIR)
-	make -C po/bin install DESTDIR=$(DESTDIR)
+	$(MAKE) -C po/bin install DESTDIR=$(DESTDIR)
 	find $(DESTDIR) -type d -empty -delete
 
 clean: Build

## po4a 0.42

=== share/Makefile ===
all:

install:

clean:
	$(RM) -r doc/po4a

=== po/bin/Makefile ===
--- 
+++ 
@@ -108,10 +108,15 @@
 
 check: all $(GETTEXT_PACKAGE).pot
 	rm -f missing notexist
-	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
+	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -g $(srcdir) -m
 	if [ -r missing -o -r notexist ]; then \
 	  exit 1; \
 	fi
+
+update-po: all $(GETTEXT_PACKAGE).pot
+	$(RM) $(GETTEXT_PACKAGE).pot
+	$(GENPOT)
+	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -g $(srcdir) -r
 
 mostlyclean:
 	rm -f *.pox *.old.po cat-id-tbl.tmp

=== debian/changelog ===
po4a (0.42-2) unstable; urgency=low

  [ Denis Barbier ]
  * Fix usage of File::Temp::tempfile (Closes: #708473)

 -- Denis Barbier <barbier@debian.org>  Thu, 16 May 2013 22:07:51 +0200

po4a (0.42-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    + po4a: Allow adding command-line options after config file.
      Closes: #660953
    + msguntypot: Do not remove obsolete entries from PO files.
      Closes: #653525
    + Text: Add support for control files.

  [ Denis Barbier ]
  * Now that #605696 is fixed, Spanish manual pages will work
    fine with lexgrog/apropos (Closes: #605637)
  * debian/rules: Fix shebang line to hardcode /usr/bin/perl in
    installed Perl scripts (Closes: #651120)

  [ New documentation translations ]
  * German, by Helge Kreutzmann (Closes: #646197)

  [ Updated documentation translations ]
  * Spanish, by Omar Campagne
  * French, by David Prévot
  * Japanese, by KURASAWA Nozomu
  * Polish, by Robert Luberda

  [ David Prévot ]
  * Fix typos spotted by Helge Kreutzmann (Closes: #646173)
  * debian/control:
    + Standards-Version bumped to 3.9.3.
    + Add Multi-Arch: foreign.
    + Remove duplicate Build-Depends-Indep. 
  * debian/rules: Fix debian-rules-missing-recommended-target.

 -- David Prévot <taffit@debian.org>  Wed, 16 May 2012 20:37:49 -0400

po4a (0.41-1) unstable; urgency=low

  [ Denis Barbier ]
  * New upstream release.
    + Remove trailing newline from titles in asciidoc.
      Closes: #595946
    + Remove Debconf, Html and NewsDebian modules,
      they are not considered as stable and the two
      latter have better alternatives (Xhtml and Text).
    + No more generate backups for PO files.

  [ Simon Paillard ]
  * debian/NEWS: mention asciidoc titles will be fuzzied (related to #595946)
  * debian/{rules,control}: run test suite at build

  [ Jonas Smedegaard ]
  * Add myself as uploader
  * Fix preserve force-break (trailing space) in markdown mode of Text module.

 -- Simon Paillard <spaillard@debian.org>  Thu, 14 Apr 2011 22:40:39 +0200

po4a (0.40.2-1) unstable; urgency=low

  [ Updated documentation translations ]
  * Spanish, by Omar Campagne
  * French, by David Prévot
  * Japanese, by KURASAWA Nozomu
  * Polish, by Robert Luberda

  [ Updated program translations ]
  * Vietnamese, by Clytie Siddall (Closes: #598560)
  * Slovenian, by Andrej Žnidaršič
  * Basque, by Iñaki Larrañaga Murgoitio (Closes: #603381)
  * French, by David Prévot
  * Japanese, by KURASAWA Nozomu
  * Czech, by Michal Šimůnek (Closes: #604685)
  * German, by Thomas Müller (Closes: #604729)
  * Ukrainian, by Yuri Chornoivan
  * Esperanto, by Joop Eggen
  * Estonian, by Annika Ennok
  * Russian, by Yuri Kozlov (Closes: #604104)
  * Arabic removed (only one translated string)
  * Danish added, by Joe Hansen (Closes: #605321)

  [ Simon Paillard ]
  * Picked from po4a 0.41, fix po4a-updatepo, this script did not call
    msgmerge with --previous flag.  Closes: #596525
  * Add myself to uploaders. 

 -- Simon Paillard <spaillard@debian.org>  Sat, 04 Dec 2010 01:05:46 +0100

po4a (0.40.1-1) unstable; urgency=low

  [ Denis Barbier ]
  * New upstream release.
    + Style update in documentation.
    + Mention po4a-build in po4a(1). Closes: #565422
    + Use 'Software in the Public Interest'. Closes: #590502
    + Change header entry in PO files to be consistent with
      xgettext when creating POT files.
    + Trailing spaces must not be removed from translations
      if they are escaped.  Closes: #593106
  * debian/control: Upstream repository has switched
    from CVS to SVN, update Vcs-* fields.

  [ Updated program translations ]

  * French, by David Prévot
  * Spanish, by Omar Campagne
  * Japanese, by KURASAWA Nozomu
  * Esperanto, by Joop Eggen
  * Swedish, by Martin Bagge
  * Russian, by Yuri Kozlov (Closes: #592041)
  * Estonian, by Annika
  * Ukrainian, by Yuri Chornoivan
  * Czech, by Michal Šimůnek (Closes: #592330)
  * Portuguese, by António Moreira
  * German, by Thomas Müller (Closes: #594258)

  [ Updated documentation translations ]

  * French, by David Prévot
  * Spanish, by Omar Campagne
  * Japanese, by KURASAWA Nozomu

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 25 Aug 2010 23:16:59 +0200

po4a (0.40-1) unstable; urgency=low

  [ Nicolas FRANCOIS (Nekral) ]
  * New upstream release.
    + Fix failures "Unknown option: copyright-holder". Closes: #573283
    + In Locale::Po4a::Man, let do_fonts() handle all font modifiers.
    + In Locale::Po4a::Man, add support for .TQ macro.  Patch by
      James Vega, thanks.  Closes: #588879
    + Fix strange warning message when file_in_name is empty with Text
      and Sgml modules. Closes: #566182
    + New EXAMPLE section in po4a(1), contributed by Helge Kreutzmann.
      Closes: #571740
    + When po4a-gettextize fails, recode msgstr into current charset
      before printing it.  Closes: #556296

  [ Denis Barbier ]
  * debian/control: Remove Pierre Machard from Uploaders. Closes: #576556

  [ Updated program translations ]

  * Spanish, by Omar Campagne
  * Polish, by Robert Luberda
  * French, by Denis Barbier
  * Russian, by Yuri Kozlov (Closes: #585700)
  * Esperanto, by Joop Eggen
  * Czech, by Michal Šimůnek (Closes: #589935)
  * Swedish, by Martin Bagge (Closes: #589910)
  * Japanese, by KURASAWA Nozomu
  * Portuguese, by António Moreira
  * German, by Thomas Müller (Closes: #590603)

  [ Updated documentation translations ]

  * Spanish, by Omar Campagne
  * Polish, by Robert Luberda
  * Japanese, by KURASAWA Nozomu
  * French, by David Prévot

 -- Martin Quinson <mquinson@debian.org>  Tue, 27 Jul 2010 21:50:46 +0200

po4a (0.39-1) unstable; urgency=low

  * New upstream release.
    + Indicate the name of the module instead of the name of a format in
      po4a(7). Closes: #563541
  * debian/control: Fixed typo: misc:depends -> misc:Depends
  * debian/control: Standards-Version bumped to 3.8.4.



=== debian/control ===
Source: po4a
Section: text
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Uploaders: Martin Quinson <mquinson@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Simon Paillard <spaillard@debian.org>,
 Denis Barbier <barbier@debian.org>
Standards-Version: 3.9.3
Build-Depends-Indep: perl-modules (>= 5.10.0-16), docbook-xml, docbook-xsl,
 gettext (>= 0.16), libmodule-build-perl, libterm-readkey-perl, sgmlspl, xsltproc,
# unit tests
 texlive-binaries, libhtml-parser-perl, sp, docbook
Build-Depends: debhelper (>> 7.0.0)
Homepage: http://po4a.alioth.debian.org/
Vcs-Svn: svn://svn.debian.org/svn/po4a/trunk
Vcs-Browser: http://svn.debian.org/wsvn/po4a/trunk/

Package: po4a
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}, gettext (>= 0.16), perl-modules, libsgmls-perl, sp
Recommends: libtext-wrapi18n-perl, libterm-readkey-perl, liblocale-gettext-perl
Description: tools for helping translation of documentation
 The po4a (PO for anything) project goal is to ease translations (and
 more interestingly, the maintenance of translations) using gettext
 tools on areas where they were not expected like documentation.
 .
 This package contains the main libraries of po4a, and the following
 sub-modules:
 .
   - Dia: uncompressed Dia diagrams.
   - INI: the INI format
   - KernelHelp: Help messages of each kernel compilation option.
   - LaTeX: generic TeX or LaTeX format.
   - Man: either roff or mdoc format.
   - POD: Perl documentation format.
   - SGML: either DebianDoc or DocBook DTD.
   - Texinfo: the info page format.
   - XML: very configurable (preconfigured for DocBook, XHTML, Guide, WML).

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

package = po4a

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/$(package)
ifndef PERL
PERL = /usr/bin/perl
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

# Make sure the VERSION string were updated in binaries
	@ pkgver=`dpkg-parsechangelog|\
	          grep -m 1 Version|\
		  sed -e 's/Version: //' -e 's/-.*//' -e 's/[[:blank:]]*//g'`;\
	libver=`grep '$$VERSION=' lib/Locale/Po4a/TransTractor.pm| \
                sed -e 's/^.*"\([^"]*\)".*/\1/'`; \
	if [ "x$$pkgver" != "x$$libver" ] ; then \
	   echo "VERSION in lib/Locale/Po4a/TransTractor.pm is wrong ($$pkgver!=$$libver)";\
	   exit 1; \
	fi;

	$(PERL) Build.PL create_packlist=0
	./Build
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./Build test
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(RM) -r html t/tmp po/www
	-./Build clean
	rm -rf _build build-stamp Build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	./Build install --installdirs vendor destdir=$(DESTDIR)
	sed -i -e '1s|^#! /usr/bin/env perl|#! /usr/bin/perl|' $(DESTDIR)/usr/bin/*

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs NEWS
	dh_installchangelogs changelog
	dh_installexamples
	dh_installman
	dh_install
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch 

.PHONY: build clean binary-indep binary-arch binary install

## po4a 0.45

=== debian/changelog ===
po4a (0.45-1) unstable; urgency=low

  * New upstream release.
    - Closes: #564245
      clash of $master in splitted mode
    - Closes: #684137
      Incorrect handling of <beginpage> in docbook, should be inline?
    - Closes: #693266
      Couldn't determine the input document's charset
    - Closes: #696992
      [ini] Include key/parameter as PO comments
    - Closes: #696997
      po4a-gettextize doesn't work with localised ini
    - Closes: #710695
      po4a-gettextize: wrong timezone in POT-Creation-Date
    - Closes: #718675
      Uninformative error message when '<' is left alone in a HTML file

  [ Updated program translations ]
  * Brazilian Portuguese, by Rafael Ferreira (Closes: #706591)

 -- Denis Barbier <barbier@debian.org>  Wed, 21 Aug 2013 20:02:52 +0200

po4a (0.44-1) experimental; urgency=low

  * New upstream release.
    - Closes: #664741
      errors with gettextize some NetBSD man pages
    - Closes: #661708
      po4a --msgmerge-opt should also affect the POT file
  * Remove lintian override, it is no more needed.

  [ Updated program translations ]
  * German, by Helge Kreutzmann
  * Spanish, by Omar Campagne
  * French, by David Prévot
  * Slovenian, by Andrej Žnidaršič
  * Korean, by Chel Hee Lee
  * Danish, by Joe Hansen (Closes: #689775)
  * Russian, by Yuri Kozlov (Closes: #689786)
  * Czech, by Michal Simunek (Closes: #689799)
  * Ukrainian, by Yuri Chornoivan
  * Indonesian, by T. Surya Fajri
  * Esperanto, by Joop Eggen
  * Vietnamese, by Nguyễn Vũ Hưng
  * Basque, by Iñaki Larrañaga Murgoitio (Closes: #690433)
  * Estonian, by Annika Ennok
  * Bengali, Hebrew, Kurdish, Occitan (post 1500), and Uzbek removed

  [ Updated documentation translations ]
  * German, by Helge Kreutzmann
  * Spanish, by Omar Campagne
  * French, by David Prévot
  * Portuguese, by António Moreira (Closes: #690570)

 -- Denis Barbier <barbier@debian.org>  Sun, 21 Oct 2012 01:09:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,15 @@
  Simon Paillard <spaillard@debian.org>,
  Denis Barbier <barbier@debian.org>
 Standards-Version: 3.9.3
-Build-Depends-Indep: perl-modules (>= 5.10.0-16), docbook-xml, docbook-xsl,
- gettext (>= 0.16), libmodule-build-perl, libterm-readkey-perl, sgmlspl, xsltproc,
+Build-Depends-Indep: perl-modules, docbook-xml, docbook-xsl, xsltproc,
+ libterm-readkey-perl,
 # unit tests
- texlive-binaries, libhtml-parser-perl, sp, docbook
-Build-Depends: debhelper (>> 7.0.0)
+ gettext, libunicode-linebreak-perl,
+#   SGML
+ sp, docbook, libsgmls-perl,
+#   TeX
+ texlive-binaries
+Build-Depends: debhelper (>= 8)
 Homepage: http://po4a.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/po4a/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/po4a/trunk/
@@ -20,8 +24,8 @@
 Package: po4a
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${perl:Depends}, gettext (>= 0.16), perl-modules, libsgmls-perl, sp
-Recommends: libtext-wrapi18n-perl, libterm-readkey-perl, liblocale-gettext-perl
+Depends: ${misc:Depends}, ${perl:Depends}, gettext, perl-modules, libsgmls-perl, sp
+Recommends: libtext-wrapi18n-perl, libterm-readkey-perl, liblocale-gettext-perl, libunicode-linebreak-perl
 Description: tools for helping translation of documentation
  The po4a (PO for anything) project goal is to ease translations (and
  more interestingly, the maintenance of translations) using gettext

=== debian/watch ===
#format
version=3
# watch control file for uscan
http://alioth.debian.org/frs/?group_id=30267 \
 https://alioth.debian.org/frs/download.php/.*/po4a-v?(.*).tar.gz

## po4a 0.46

=== debian/changelog ===
po4a (0.46-2) unstable; urgency=medium

  * d/control: fix the git browse URL.
  * d/control: Build-dep on libmodule-build-perl to fix a FTBFS 
    (Closes: #789639)

 -- Martin Quinson <mquinson@debian.org>  Sun, 28 Jun 2015 13:19:25 +0200

po4a (0.46-1) unstable; urgency=medium

  * New upstream release. 
    This is a long awaited release after almost 2 years!
    The most impressive is not the release content, but the fact that
    I'm back up to speed to maintain and release the po4a project.
    More releases should follow soon.

    - Closes: #744366 (man module mangles preprocessor line)
      Thanks to Robert Luberda for the patch.
    - Closes: #748601 (Man module splits tbl's textblocks into separate lines)
      Thanks to Robert Luberda for the patch.
    - Closes: #779435 (Useless use of greediness modifier)
    - Closes: #782393 (Dutch po file for the po4a package)
    - Closes: #735644 (Brazilian Portuguese PO translation of bin, pod and web)
    - Closes: #776896 (Update Vietnamese program translation)
  * d/control: update VCS fields now that we moved the package to git.
  * d/control: bump the Standards-Version to 3.9.6. No change needed.

 -- Martin Quinson <mquinson@debian.org>  Thu, 21 May 2015 00:49:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  Jonas Smedegaard <dr@jones.dk>,
  Simon Paillard <spaillard@debian.org>,
  Denis Barbier <barbier@debian.org>
-Standards-Version: 3.9.3
-Build-Depends-Indep: perl-modules, docbook-xml, docbook-xsl, xsltproc,
+Standards-Version: 3.9.6
+Build-Depends-Indep: perl-modules, libmodule-build-perl, 
+ docbook-xml, docbook-xsl, xsltproc,
  libterm-readkey-perl,
 # unit tests
  gettext, libunicode-linebreak-perl,
@@ -18,8 +19,8 @@
  texlive-binaries
 Build-Depends: debhelper (>= 8)
 Homepage: http://po4a.alioth.debian.org/
-Vcs-Svn: svn://svn.debian.org/svn/po4a/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/po4a/trunk/
+Vcs-Git: git://anonscm.debian.org/collab-maint/po4a.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/po4a.git
 
 Package: po4a
 Architecture: all

## po4a 0.47

=== debian/changelog ===
po4a (0.47-2) unstable; urgency=medium

  [ Neil Roeth ]
  * Changed dependency on sp to opensp (Closes: #809477, #280882)
    - README: Changed description of sp to opensp
    - README.tests: Changed sp to opensp, added libmodule-build-perl.
    - d/control: Changed Build-Depends-Indep and Depends to opensp.
    - lib/Locale/Po4a/Sgml.pm: Changed nsgmls to onsgmls.

  [ Martin Quinson ]
  * po/pod/pt.po: Fix a formating error in /usr/share/man/pt/man7/po4a.7.gz
    (Thanks Lintian for noticing)

 -- Martin Quinson <mquinson@debian.org>  Tue, 05 Jan 2016 17:46:23 +0100

po4a (0.47-1) unstable; urgency=medium

  * New upstream release: Three months are gone already.
    - Fix: don't add supirious lines around \# lines (Closes: #786642)
    - Doc fix: poref is a command line option (Closes: #775707)
    - Port our regex to Perl 5.22 (Closes: #788706)

 -- Martin Quinson <mquinson@debian.org>  Fri, 28 Aug 2015 19:17:23 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # unit tests
  gettext, libunicode-linebreak-perl,
 #   SGML
- sp, docbook, libsgmls-perl,
+ opensp, docbook, libsgmls-perl,
 #   TeX
  texlive-binaries
 Build-Depends: debhelper (>= 8)
@@ -25,7 +25,7 @@
 Package: po4a
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${perl:Depends}, gettext, perl-modules, libsgmls-perl, sp
+Depends: ${misc:Depends}, ${perl:Depends}, gettext, perl-modules, libsgmls-perl, opensp
 Recommends: libtext-wrapi18n-perl, libterm-readkey-perl, liblocale-gettext-perl, libunicode-linebreak-perl
 Description: tools for helping translation of documentation
  The po4a (PO for anything) project goal is to ease translations (and

=== debian/watch ===
#format
version=3
# watch control file for uscan
http://alioth.debian.org/frs/?group_id=30267  https://alioth.debian.org/frs/download.php/.*/po4a-v?(.*).tar.gz

## po4a 0.52

=== debian/changelog ===
po4a (0.52-1) unstable; urgency=medium

  * New upstream release.
    - New module RubyDoc, by Francesco Poli (Closes: #827936)
    - po4a-translate complains on outdated input po files (Closes: #637288)
    - po4a: new option --no-update (Closes: #599179)
    - Plus various small bug fixes and improvements
    - Many translations updated (Closes: #862923, #859029, #860073)

  * d/control: Remove Simon Paillard from uploaders. Thanks for the fish!
    (Closes: #873268)
  * d/control: bump the Standards-Version to 4.0.1. No change needed.

 -- Martin Quinson <mquinson@debian.org>  Sat, 26 Aug 2017 22:29:44 +0200

po4a (0.51-1) unstable; urgency=medium

  * New upstream release:
    * XML:
      - Add an option to escape all quotes, for android.
        Thanks to Josh Dubois for the patch (Alioth's #315353).
    * po4a:
      - Checking po file is fine. Failing if the file does not exist isn't.
        It makes apt to FTBFS! (Closes: #858934)
    * other:
      - Third attempt at installing the manpages to the right location.
      
  * d/changelog: fix some spelling errors reported by lintian.

 -- Martin Quinson <mquinson@debian.org>  Tue, 28 Mar 2017 23:22:25 +0200

po4a (0.50-1) unstable; urgency=medium

  * New upstream 0.49 release:
    * AsciiDoc:
      - Fix various bugs, thanks to Brian Exelbierd (GitHub's #1, #2).
      - Correctly handle list literal paragraph (GitHub's #9).
    * Man:
      - Add support for the tab(<character>) global option inside .TS/.TE.
        Also tidy up trailing newline handling in text blocks: Since that
        trailing newling must be there, no need to translate it explicitly.
        Many thanks to Colin Watson for the report, patch and tests.
        (Closes: #847754).
      - WARNING: this will fuzz your existing translations, but unfuzzing
        will be rather easy so I push this change anyway.
    * Translations:
      - Update Italian, thanks to Marco Ciampa.
      - Update Indonesian, thanks to Izharul Haq (Closes: #835050).
      - Update Japanese, thanks to Takuma Yamada (Closes: #818949).
      - Update French, thanks Alban Vidal (Closes: #856188).
    * Other:
      - Ensure that files in the archive are writable (Closes: #728602)
  * New upstream 0.50 release:
    * AsciiDoc:
      - Further bug fixing to handle the git documentation (GitHub's #9).
        - Before, we did not mark enough list blocks as verbatim.
        - Now, we may mark a few too much of them.
        - This should not do any harm, beyond some fuzzy translation.
      - Fix some bugs, around style macros (Alioth's #314919)
        Thanks to Alexander Golubev for the patch.
    * XML:
      - Add an option to not wrap attributes (GitHub's #6)
        Contributed by Ineiev, committed by dbarbier, thanks.
    * Text:
      - debianchangelog: Accept timezone names on multiple chars
        (Closes: #792416)
      - Add a neverwrap option to prevent any wrapping 
        (Closes: #824753)
    * po4a:
      - Check the validity of po files before using them (Closes: #855431)
      
  * Take over the package again, as Nicolas resigned from Debian 
    (Closes: #832382). Thanks Nicolas for you work all these years!
  * Remove Neil Williams from the uploaders, as he asked.
  * Install upstream NEWS in the package.
  * d/compat: bump our dh compat level to 10.

 -- Martin Quinson <mquinson@debian.org>  Tue, 28 Mar 2017 08:23:17 +0200

po4a (0.48-1) unstable; urgency=medium

  * New upstream release:
    - Integrate Debian's patch for opensp
    - New Japanese translation, thanks to Takuma Yamada
      (Closes: #826292, #818949)

 -- Martin Quinson <mquinson@debian.org>  Fri, 17 Jun 2016 11:25:03 +0200

=== debian/control ===
Source: po4a
Section: text
Priority: optional
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders:  Jonas Smedegaard <dr@jones.dk>,
 Denis Barbier <barbier@debian.org>,
 Dr. Tobias Quathamer <toddy@debian.org>
Standards-Version: 4.0.1
Build-Depends-Indep: perl, libmodule-build-perl,
 docbook-xml, docbook-xsl, xsltproc,
 libterm-readkey-perl,
# unit tests
 gettext, libunicode-linebreak-perl,
#   SGML
 opensp, docbook, libsgmls-perl,
#   TeX
 texlive-binaries
Build-Depends: debhelper (>= 10)
Homepage: http://po4a.alioth.debian.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/po4a.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/po4a.git

Package: po4a
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}, gettext, libsgmls-perl, opensp
Recommends: libtext-wrapi18n-perl, libterm-readkey-perl, liblocale-gettext-perl, libunicode-linebreak-perl
Description: tools to ease the translation of documentation
 po4a eases the translation of documentation and other textual document.
 Even more interestingly, it makes it easy to maintain these
 translations when the original document changes. This is done by
 using the gettext tools in this new domain.
 .
 This package contains the main libraries of po4a, and the necessary
 sub-modules to handle the following formats:
 .
   - Dia: uncompressed Dia diagrams.
   - INI: the INI format
   - KernelHelp: Help messages of each kernel compilation option.
   - LaTeX: generic TeX or LaTeX format.
   - Man: either roff or mdoc format.
   - POD: Perl documentation format.
   - SGML: either DebianDoc or DocBook DTD.
   - RubyDoc: Ruby documentation format.
   - Texinfo: the info page format.
   - XML: very configurable (preconfigured for DocBook, XHTML, Guide, WML).

=== debian/rules ===
#!/usr/bin/make -f

# Make sure the VERSION string were updated in binaries
override_dh_auto_build:
	pkgver=`dpkg-parsechangelog|\
	        grep -m 1 Version|\
	        sed -e 's/Version: //' -e 's/-.*//' -e 's/[[:blank:]]*//g'`;\
	libver=`grep '$$VERSION=' lib/Locale/Po4a/TransTractor.pm| \
	        sed -e 's/^.*"\([^"]*\)".*/\1/'`; \
	[ "x$$pkgver" = "x$$libver" ]
	dh_auto_build

%:
	dh $@

## po4a 0.54

=== debian/changelog ===
po4a (0.54-1) unstable; urgency=medium

  * New upstream version 0.54
    - Remove patches, all have been applied upstream
    - Remove workaround in d/rules to create empty files
    - Texinfo: Fix handling of spaces in menu descriptions
      (Closes: #758851).
    - Text: Support pandoc's bibliographic information (title, author, date)
      at the beginning of a markdown file. Also fix a trailing newline
      in some markdown titles (Closes: #894977).
    - Man: Support .MT and .ME macros for e-mail address
      markup (Closes: #900965).
    - Text: Fix the parsing of fortunes files, which had been broken since
      v0.43. The handling has changed a bit, all msgids are now marked as
      "no-wrap", because the word wrap in fortunes files usually matters.
      This upstream fix has already been cherry-picked for the
      Debian upload of 0.53-2.
  * Use wrap-and-sort
  * Do not run failing HTML module test
  * Remove some example files, no longer distributed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 30 Jun 2018 11:42:00 +0200

po4a (0.53-2) unstable; urgency=medium

  * Fix fortunes handling. (Closes: #900649)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 07 Jun 2018 10:42:29 +0200

po4a (0.53-1) unstable; urgency=medium

  [ Martin Quinson ]
  * d/control: Point Vcs fields to salsa

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.53
    - New module Yaml, by Brian Exelbierd.
    - Improve new Yaml module with a few patches from upstream.
      These patches are cherry-picked from upstream's git
      repository. They will be included in the next upstream
      release 0.54 and can be dropped then.
    - Add libyaml-tiny-perl to Depends for new Yaml submodule
    - Add Yaml to package description
    - Includes updated Dutch translation. Closes: #877248
  * Update URL for homepage
  * Update d/watch for new github location
  * Use debhelper v11
  * Remove obsolete debian/NEWS file
  * Update to Standards-Version 4.1.4
    - Convert d/copyright to machine readable version
    - Replace the shebang line in perl scripts to comply
      with Policy 10.4
  * Remove version check from d/rules, seems not needed anymore

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 May 2018 22:40:34 +0200

=== debian/control ===
Source: po4a
Section: text
Priority: optional
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
           Denis Barbier <barbier@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Standards-Version: 4.1.4
Build-Depends-Indep: docbook,
                     docbook-xml,
                     docbook-xsl,
                     gettext,
                     libmodule-build-perl,
                     libsgmls-perl,
                     libterm-readkey-perl,
                     libunicode-linebreak-perl,
                     libyaml-tiny-perl,
                     opensp,
                     perl,
                     texlive-binaries,
                     xsltproc
Build-Depends: debhelper (>= 11)
Homepage: https://po4a.org/
Vcs-Git: https://salsa.debian.org/debian/po4a.git
Vcs-Browser: https://salsa.debian.org/debian/po4a

Package: po4a
Architecture: all
Multi-Arch: foreign
Depends: gettext,
         libsgmls-perl,
         libyaml-tiny-perl,
         opensp,
         ${misc:Depends},
         ${perl:Depends}
Recommends: liblocale-gettext-perl,
            libterm-readkey-perl,
            libtext-wrapi18n-perl,
            libunicode-linebreak-perl
Description: tools to ease the translation of documentation
 po4a eases the translation of documentation and other textual document.
 Even more interestingly, it makes it easy to maintain these
 translations when the original document changes. This is done by
 using the gettext tools in this new domain.
 .
 This package contains the main libraries of po4a, and the necessary
 sub-modules to handle the following formats:
 .
   - Dia: uncompressed Dia diagrams.
   - INI: the INI format
   - KernelHelp: Help messages of each kernel compilation option.
   - LaTeX: generic TeX or LaTeX format.
   - Man: either roff or mdoc format.
   - POD: Perl documentation format.
   - SGML: either DebianDoc or DocBook DTD.
   - RubyDoc: Ruby documentation format.
   - Texinfo: the info page format.
   - XML: very configurable (preconfigured for DocBook, XHTML, Guide, WML).
   - Yaml: Yaml documents.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Replace the shebang line in perl scripts to
# comply with Policy 10.4
override_dh_auto_install:
	dh_auto_install
	sed -i -e "1 s,^.*perl.*$$,#!/usr/bin/perl," $(CURDIR)/debian/po4a/usr/bin/*

# Remove HTML test, which does no longer pass
# and probably should be removed upstream, too.
override_dh_auto_test:
	rm t/09-html.t
	dh_auto_test

## po4a 0.55

=== debian/changelog ===
po4a (0.55-1) unstable; urgency=medium

  * New upstream version 0.55
    - Failing HTML test has been removed upstream
    - Sgml: Avoid deprecated unescaped left brace in regex to get ready
      for Perl 5.32. (Closes: #903735)
    - TransTractor: Ensure to split lines before addendum operation without
      loss or addition of newline. With this change, addendum behavior is
      more intuitive. (Closes: #518218)
    - Xml, Docbook: Document XML tag behavior customization with example
      to help use case specific customization. (Closes: #515763)
  * Add texlive-latex-base to Build-Depends. The latex test needs the
    file 'article.cls' which is included in that package.
  * Add two more files to package's documentation
  * Update Standards-Version to 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 09 Dec 2018 22:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
            Denis Barbier <barbier@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Build-Depends-Indep: docbook,
                      docbook-xml,
                      docbook-xsl,
@@ -18,6 +18,7 @@
                      opensp,
                      perl,
                      texlive-binaries,
+                     texlive-latex-base,
                      xsltproc
 Build-Depends: debhelper (>= 11)
 Homepage: https://po4a.org/

## po4a 0.57

=== debian/changelog ===
po4a (0.57-2) unstable; urgency=medium

  * Source-only upload. Closes: #956544

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 15 Apr 2020 15:16:30 +0200

po4a (0.57-1) unstable; urgency=medium

  * New upstream release version 0.57
    - Many new and updated translations.
    - Impove AsciiDoc support.
  * Bump to debhelper 12
  * Update Standards-Version to 4.5.0, no changes needed
  * d/copyright: share/po4a-build was removed a few releases ago

 -- Martin Quinson <mquinson@debian.org>  Fri, 20 Mar 2020 00:01:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
            Denis Barbier <barbier@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Build-Depends-Indep: docbook,
                      docbook-xml,
                      docbook-xsl,
@@ -20,7 +20,8 @@
                      texlive-binaries,
                      texlive-latex-base,
                      xsltproc
-Build-Depends: debhelper (>= 11)
+Build-Depends:
+ debhelper-compat (= 12)
 Homepage: https://po4a.org/
 Vcs-Git: https://salsa.debian.org/debian/po4a.git
 Vcs-Browser: https://salsa.debian.org/debian/po4a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Replace the shebang line in perl scripts to
# comply with Policy 10.4
override_dh_auto_install:
	dh_auto_install
	sed -i -e "1 s,^.*perl.*$$,#!/usr/bin/perl," $(CURDIR)/debian/po4a/usr/bin/*
